%if 0%{?fedora}
%global with_python3 1
%endif

Name: python-nose-cov
Version: 1.6
Release: 7%{?dist}
Summary: nose plugin for coverage reporting, including subprocesses and multiprocessing
Source0: https://pypi.python.org/packages/source/n/nose-cov/nose-cov-%{version}.tar.gz
License: MIT
BuildArch: noarch
Url: http://bitbucket.org/memedough/nose-cov/overview

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%description
This plugin produces coverage reports and supports coverage of subprocesses.

%package -n python2-nose-cov
Summary: nose plugin for coverage reporting, including subprocesses and multiprocessing
Requires:  python-nose
Requires:  python-cov-core
%{?python_provide:%python_provide python2-nose-cov}
%description -n python2-nose-cov
This plugin produces coverage reports and supports coverage of subprocesses.

%if 0%{?with_python3}
%package -n python3-nose-cov
Summary: nose plugin for coverage reporting, including subprocesses and multiprocessing
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:  python3-nose
Requires:  python3-cov-core
%{?python_provide:%python_provide python3-nose-cov}
%description -n python3-nose-cov
This plugin produces coverage reports and supports coverage of subprocesses.
%endif

%prep
%setup -q -n nose-cov-%{version}
rm -rf nose_cov.egg-info

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif

%files -n python2-nose-cov
%doc README.txt
%doc LICENSE.txt
%{python2_sitelib}/nose_cov*.egg-info
%{python2_sitelib}/nose_cov.py*
%if 0%{?with_python3}
%files -n python3-nose-cov
%doc README.txt
%doc LICENSE.txt
%{python3_sitelib}/nose_cov*.egg-info
%{python3_sitelib}/nose_cov.py*
%{python3_sitelib}/__pycache__/*
%endif

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 19 2015 John Dulaney <jdulaney@fedoraproject.org> - 1.6-5
- Update spec file to new standards

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-4
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Jul 10 2015 John Dulaney <jdulaney@fedoraproject.org> - 1.6-3
- Python 3

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Sep 29 2014 John Dulaney <jdulaney@fedoraproject.org> - 1.6-1
- Initial packaging
- Spec based on python-nose
